Bug 182585 - CVE-2006-0377 IMAP injection in sqimap_mailbox_select mailbox parameter
CVE-2006-0377 IMAP injection in sqimap_mailbox_select mailbox parameter
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: squirrelmail (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
source=secunia,reported=20060222,publ...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-23 09:58 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.4.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-07 11:59:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-02-23 09:58:14 EST
IMAP injection in sqimap_mailbox_select mailbox parameter
http://www.squirrelmail.org/security/issue/2006-02-15

(Text taken from the above URL)
By adding newlines to the mailbox parameter of sqimap_mailbox_select,
a logged in user can add additional IMAP commands after the command
issued by SquirrelMail. The real-world impact of this is unknown.

source=secunia,reported=20060222,public=20060215
Comment 1 Fedora Update System 2006-03-03 15:25:35 EST
From User-Agent: XML-RPC

squirrelmail-1.4.6-1.fc4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 2 Warren Togami 2006-06-07 11:59:15 EDT
Not sure why this wasn't closed earlier.

Note You need to log in before you can comment on or make changes to this bug.